import { OnInit, OnDestroy } from '@angular/core';
import { NfcService } from './nfc-service.service';
export declare class TapScannerNfcService implements OnInit, OnDestroy {
    nfc: NfcService;
    isReady: boolean;
    connectionPromise: null;
    nfcSessionStateString: string;
    constructor(nfc: NfcService);
    ngOnInit(): void;
    ngOnDestroy(): void;
}
